<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrSmallAndMicroEnterprisesMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrSmallAndMicroEnterprises">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="enttype" column="ENTTYPE" jdbcType="VARCHAR"/>
            <result property="estdate" column="ESTDATE" jdbcType="DATE"/>
            <result property="regcap" column="REGCAP" jdbcType="DECIMAL"/>
            <result property="regorg" column="REGORG" jdbcType="VARCHAR"/>
            <result property="industryphy" column="INDUSTRYPHY" jdbcType="VARCHAR"/>
            <result property="industryco" column="INDUSTRYCO" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,PRIPID,UNISCID,
        REGNO,ENTNAME,ENTTYPE,
        ESTDATE,REGCAP,REGORG,
        INDUSTRYPHY,INDUSTRYCO,S_EXT_DATATIME,
        uni_code
    </sql>
</mapper>
